Skip to main content
`Ctrl`+`K`

# PCDeflationSetCoarseMat

Set the coarse problem `Mat`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationSetCoarseMat(PC pc, Mat mat)

Collective

## Input Parameters

- pc - preconditioner context

- mat - coarse problem mat

## See Also

KSP: Linear System Solvers, `PCDEFLATION`, `PCDeflationGetCoarseKSP()`

## Level

developer

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationSetCoarseMat_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages